org.apache.ignite.internal.jdbc.thin

## Class JdbcThinTcpIo

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.JdbcThinTcpIo

    public class JdbcThinTcpIo
    extends Object

JDBC IO layer implementation based on blocking IPC streams.

### Constructor Summary

Constructors
Constructor and Description
`JdbcThinTcpIo(ConnectionProperties connProps)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the client IO.
`ConnectionProperties` `connectionProperties()`
`protected InetAddress[]` `getAllAddressesByHost(String host)` Get all addresses by host name.
`void` `handshake(ClientListenerProtocolVersion ver)` Used for versions: 2.1.5 and 2.3.0.
`void` `start()`
`void` `start(int timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcThinTcpIo

    public JdbcThinTcpIo(ConnectionProperties connProps)

Constructor.

Parameters:
  `connProps` - Connection properties.

### Method Detail

#### start

    public void start()
               throws SQLException,
                      IOException

Throws:
  `SQLException` - On connection error or reject.
  `IOException` - On IO error in handshake.

#### start

    public void start(int timeout)
               throws SQLException,
                      IOException

Parameters:
  `timeout` - Socket connection timeout in ms.
Throws:
  `SQLException` - On connection error or reject.
  `IOException` - On IO error in handshake.

#### getAllAddressesByHost

    protected InetAddress[] getAllAddressesByHost(String host)
                                           throws UnknownHostException

Get all addresses by host name.

Parameters:
  `host` - Host name.
Returns:
  Addresses.
Throws:
  `UnknownHostException` - If host is unavailable.

#### handshake

    public void handshake(ClientListenerProtocolVersion ver)
                   throws IOException,
                          SQLException

Used for versions: 2.1.5 and 2.3.0. The protocol version is changed but handshake format isn't changed.

Parameters:
  `ver` - JDBC client version.
Throws:
  `IOException` - On IO error.
  `SQLException` - On connection reject.

#### close

    public void close()

Close the client IO.

#### connectionProperties

    public ConnectionProperties connectionProperties()

Returns:
  Connection properties.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018